Skip to main content
`Ctrl`+`K`

# numpy.size

numpy.size(a, axis=None)

  Return the number of elements along a given axis.

  Parameters:
    a array_like

      Input data.

    axis None or int or tuple of ints, optional

      Axis or axes along which the elements are counted. By default, give the total number of elements.

      Changed in version 2.4: Extended to accept multiple axes.

  Returns:
    element_count int

      Number of elements along the specified axis.

  See also

  `shape`

    dimensions of array

  `ndarray.shape`

    dimensions of array

  `ndarray.size`

    number of elements in array

  Examples

      >>> import numpy as np
      >>> a = np.array([[1,2,3],[4,5,6]])
      >>> np.size(a)
      6
      >>> np.size(a,axis=1)
      3
      >>> np.size(a,axis=0)
      2
      >>> np.size(a,axis=(0,1))
      6